Page MenuHomePhabricator

"Undo" only undoes Citoid's addition of content, not the whole ref (aka Citoid inserts empty <ref/> tags)
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  • Use Citoid to insert a ref. Insert it and click on something else.
  • Decide you don't want that ref. Click 'Undo'.

Results:

Expected behavior:

If I undo the insertion of the ref, the whole thing should go away.

Details

Related Gerrit Patches:

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF updated the task description. (Show Details)
Mvolz set Security to None.Apr 15 2015, 7:18 AM
Mvolz added a subscriber: Mooeypoo.

Change 204327 had a related patch set uploaded (by Mooeypoo):
Move 'applyStaging' after the operation is done in Citoid

https://gerrit.wikimedia.org/r/204327

Jdforrester-WMF closed this task as Resolved.Apr 16 2015, 12:07 AM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q4 blockers board.

Change 204327 merged by jenkins-bot:
Move 'applyStaging' after the operation is done in Citoid

https://gerrit.wikimedia.org/r/204327

Neil_P._Quinn_WMF moved this task from To Triage to Q4 on the VisualEditor board.Apr 17 2015, 7:39 PM